This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 845363 - Bundle Deployment - Newly created Resource group which contains ~100 resources is not being <discovered> during the destination creation
Bundle Deployment - Newly created Resource group which contains ~100 resource...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.5
i386 Linux
medium Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 15:44 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:11:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2012-08-02 15:44:14 EDT
Description of problem:
During the deployment of the bundle, while there is no destination created and no resource group created if you try to create a destination and a resource will ~100 resources included, the group is not being shown in new destination window.

Version-Release number of selected component (if applicable):
RHQ 4.5 

How reproducible:
always

Steps to Reproduce:
1. deploy a bundle
2. Click on deploy icon in destinations area
3. create destination-> create group -> select all visible resources -> save group
  
Actual results:
no group is listed in create destination window
just created group number is being shown for a while in groups drop down menu and disappears forever.

Expected results:
created group is visible/selectable in create destination window

Additional info:
if some ~2 resources are selected during the
Comment 1 Libor Zoubek 2012-09-14 09:43:09 EDT
There are additional requirements for a group to be listed among possible destinations.
1. group must be compatible => contains only resources having same resourceType (say platforms, or EAP6 Standalone servers)
2. given resource type must support bundle deployment (for example EAP6 Datasource has not such support, so if you create a group of datasources it won't be listed)

If a user does not know these 2 things, he gets confused. I think there should be some improvement in this area. Either the wizard for a new group should be telling you these 2 conditions, or better, wizard should not allow you to create a group that does not meet these conditions.
Comment 2 Jirka Kremser 2013-01-22 12:19:21 EST
fixed in master
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=108eb7c9d

time:    Tue Jan 22 18:16:52 2013 +0100
commit:  108eb7c9d959ddf9bee65069eae79a50ac28498a
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 845363 - Bundle Deployment - Newly created Resource group which contains ~100 resources is not being <discovered> during the destination creation] The Bundle Deployment Wizzard doesn't let the user to create a mixed group or a compatible group with a resource type which can't serve for deployments. The check is done using the ResourceTypeRepository. I18n and l10n added.
Comment 3 Libor Zoubek 2013-04-02 05:09:26 EDT
verified on Version: 4.7.0-SNAPSHOT Build Number: bd0c492 - when a new group is created and is not compatible & does not support bundle dpeloyments - warn message is popped up.
Comment 4 Heiko W. Rupp 2013-08-31 06:11:33 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.